summaryrefslogtreecommitdiff
path: root/sh
diff options
context:
space:
mode:
Diffstat (limited to 'sh')
-rwxr-xr-xsh/dyafk18
1 files changed, 18 insertions, 0 deletions
diff --git a/sh/dyafk b/sh/dyafk
new file mode 100755
index 0000000..b6da7ec
--- /dev/null
+++ b/sh/dyafk
@@ -0,0 +1,18 @@
+#!/bin/sh
+# DouYu AFK
+
+# maybe another way: https://open.douyu.com/source
+
+while :; do
+ # credit: MIT licensed https://github.com/DIYgod/RSSHub/blob/master/lib/routes/douyu/room.ts
+ if [ "$(curl -s https://www.douyu.com/betard/9640128 | jq -r '.room.show_status')" -eq 1 ]; then
+ if ! pidof -q firefox; then
+ firefox --headless --profile "$HOME/.mozilla/firefox/dyafk" https://www.douyu.com/9640128 &
+ fi
+ else
+ kill $(pidof firefox)
+ fi
+ # open.douyu.com AUP for api request seems very high, about 6k/min per api? see https://open.douyu.com/source/api/5
+ # although I don't use open.douyu.com api but can be used as a reference, so I think 1 request per minute is ok
+ sleep 60
+done